package com.bocloud.cmp.model.azure.slb;

import java.util.List;

/**
 * @ClassName: BackEndModel
 * @Description:后端池
 * @author: zhenpingLi/李振平
 */
public class BackEndModel {

    private String uuid;
    private String name;
    private String slbUuid;//负载均衡uuid
    private List<String> virtualMachineUuids;//后端池对应云主机绑定关系 1对多，建关系表 或者在云主机表中添加外键
    private List<String> oldVmUuids;//目前sdk版本不支持修改，做先删除后创建

    public List<String> getOldVmUuids() {
        return oldVmUuids;
    }

    public void setOldVmUuids(List<String> oldVmUuids) {
        this.oldVmUuids = oldVmUuids;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSlbUuid() {
        return slbUuid;
    }

    public void setSlbUuid(String slbUuid) {
        this.slbUuid = slbUuid;
    }

    public List<String> getVirtualMachineUuids() {
        return virtualMachineUuids;
    }

    public void setVirtualMachineUuids(List<String> virtualMachineUuids) {
        this.virtualMachineUuids = virtualMachineUuids;
    }
}